﻿using BA.Core.DataProviders;
using BA.Core.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace $safeprojectname$.DataProvider
{
    public class CDPEnumValuesNotUsed : CDPEnumValues
    {
        /// <summary>
        /// Methode aus <see cref="CDPEnumValues"/> zum erweitern der Where Bedingung
        /// </summary>
        /// <param name="list"></param>
        /// <returns></returns>
        public override IEnumerable<ValueEnum> AddWhere(IEnumerable<ValueEnum> list)
        {
            CDPEnumValuesNotUsedProperties prop = (CDPEnumValuesNotUsedProperties)Properties;

            IEnumerable<ValueEnum> where = base.AddWhere(list);
            return where.Where(ff => !prop.NotUsed.Contains(ff.ValueGuid));
        }
    }
}