declare module BA.Ui.Grid {
    class GridEvents {
        private static _IsFilterControlShowing;
        private static _SaveLayoutProp;
        private static _LayoutName;
        private static _LayoutPublic;
        private static _LayoutDefault;
        private static _SelectionCallbackTimeHandle;
        private static _GridToUpdateVisibilityFor;
        private static _GridViewSelectionKey;
        private static _LastClickedNodeKey;
        private static _LastClickTicks;
        private static _SingleClickHandler;
        private static _ResetCommandsEndCallback;
        private static _ResetCommandsBeginCallback;
        private static _CurrentPage;
        private static _GroupingDoneRightBefore;
        static LoadLayout: boolean;
        static OnInit(s: any, e: any): void;
        static OnGridFormSuccess(s: any, e: any): boolean;
        static OnGridFormFailure(s: any, e: any): void;
        static OnBeginCallback(s: any, e: any): void;
        static OnEndCallback(s: any, e: any): void;
        static OnResize(s: any, e: any): void;
        static OnSelectAllClicked(s: any, e: any): void;
        static OnSelectionChanged(s: any, e: any): void;
        static OnColumnMoving(s: any, e: any): void;
        static OnColumnResizing(s: any, e: any): void;
        static OnRowClick(s: any, e: any): boolean;
        static OpenInPopup(formModel: any, grid: any): void;
        static DefaultSingleClick(s: any, e: any): void;
        static DefaultDoubleClick(s: any, e: any): void;
        static TranslationGridDoubleClick(s: BAClientGridView, e: any): void;
        static OnEditStart(grid: any, visibleIndex: any): void;
        /**
         * Save the Layout of a Grid
         * @param button the event button
         * @param evt the event arguments
         */
        static OnLayoutSave(button: BA.Ui.Dialog.BADialogButton, evt: ASPxClientButtonClickEventArgs): void;
    }
}
