declare module BA.Ui.Grid {
    class GridTools {
        static ManuallySelectedRowItems: GridRowItem[];
        static ManuallyDeselectedRowItems: GridRowItem[];
        static IsCalendar: boolean;
        static IsGridViewOrCalendar(): boolean;
        static GetDataSourcesAsArray(): string[];
        static GetDataSourcesAsString(): string;
        static GetGridGuid(): string;
        static GetSelectedRowCount(): number;
        static GetSelectedKeysOnPage(): any[];
        static GetDeleteItemUrl(): string;
        static Refresh(): void;
        static UpdateDetailGridHeights(s: any, e: any): void;
        static UpdateDetailGridHeight(s: any, e: any): void;
        static UpdateRibbon(containedTypes: any, grid: any, ev: any): void;
        static UpdateItemVisibility(grid: any, ev: any): void;
        static IsDrillDownAllowed(grid: BAClientGridView, index: any): boolean;
        static DrillDown(grid: BAClientGridView, index: any): void;
        /**
         * Setting breadcrumbs for a grid
         * breadcrumb collection needs to be set on the grid cpBreadCrumbCollectionJson
         * @param grid
         */
        static SetBreadCrumbsForGrid(grid: BAClientGridView): void;
        static HightlightLastFixedColumn(): void;
        static EnableTokensInColumn(): void;
        static OpenRecordByIndex(grid: any, index: any): void;
        static HandleRowSelection(TypeAndOid: any, selected: boolean): void;
        static SelectItem(TypeAndOid: any): void;
        static DeselectItem(TypeAndOid: any): void;
        static ResetManualSelection(): void;
        static ResetSelections(grid: ASPxClientGridView): void;
        static GetFilterKeysArray(): string[];
        static GetFilterKeys(): string;
        static GetFilterKeysOrmTypes(): string;
        static GetSingleSelectedRowItemType(): string;
        static GetSingleSelectedRowItemOid(): string;
        static GetAllSelectedTypes(): any[];
        private static IndexOfRowItemInArray;
    }
}
